Skip to content

unsafe_batchTransaction ​

Transaction Builder API

Create an unsigned batched transaction.

Parameters ​

  • signer · SuiAddress · requiredthe transaction signer's Sui address

  • single_transaction_params · RPCTransactionRequestParams[] · requiredlist of transaction request parameters

  • gas · ObjectID · optionalgas object to be used in this transaction, node will pick one from the signer's possession if not provided

  • gas_budget · BigInt<u64> · requiredthe gas budget, the transaction will fail if the gas cost exceed the budget

  • txn_builder_mode · SuiTransactionBlockBuilderMode · optionalWhether this is a regular transaction or a Dev Inspect Transaction

    • "Commit" - Regular Sui Transactions that are committed on chain
    • "DevInspect" - Simulated transaction that allows calling any Move function with arbitrary values.

Result ​

  • TransactionBlockBytes · TransactionBlockBytes

    • gas · ObjectRef[] · requiredthe gas objects to be used
    • inputObjects · InputObjectKind[] · requiredobjects to be used in this transaction
    • txBytes · Base64 · requiredBCS serialized transaction data bytes without its type tag, as base-64 encoded string.

Example ​

Replace each <param> with a value of the type listed under Parameters.

Request ​

bash
curl https://mainnet-api.inodra.com/v1/jsonrpc \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: YOUR_API_KEY' \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "unsafe_batchTransaction",
  "params": [
    "<signer>",
    "<single_transaction_params>",
    "<gas_budget>"
  ]
}'

The full-stack Sui data layer.